What is Parallels Client (Legacy) for iOS / Android

1 users found this article helpful

The legacy version of Parallels Clients should be used with Parallels Remote Application Server v15.0 and older.

The new mobile client (iOS/ Android) should be used with Parallels Remote Application Server Version 15.5. The Parallels mobile client is approved for the following Operating Systems

and can be downloaded from here:

More information regarding the new mobile clients:

Was this article helpful?

Tell us how we can improve it.